List member role assignments (members.read)
import requests
url = "https://platform.ankra.app/api/v1/org/organisation/members/{ankra_user_id}/assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/organisation/members/{ankra_user_id}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/organisation/members/{ankra_user_id}/assignments \
--header 'Authorization: Bearer <token>'{
"assignments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ankra_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_slug": "<string>",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>"
}
]
}Organisation IAM
List member role assignments (members.read)
GET
/
api
/
v1
/
org
/
organisation
/
members
/
{ankra_user_id}
/
assignments
List member role assignments (members.read)
import requests
url = "https://platform.ankra.app/api/v1/org/organisation/members/{ankra_user_id}/assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/organisation/members/{ankra_user_id}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/organisation/members/{ankra_user_id}/assignments \
--header 'Authorization: Bearer <token>'{
"assignments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ankra_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_slug": "<string>",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>"
}
]
}